/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.epam.datalab.model;

import lombok.extern.slf4j.Slf4j;

import javax.ws.rs.WebApplicationException;
import java.util.ArrayList;

@Slf4j
public class StringList extends ArrayList<String> {
    public StringList(String s) {
        super();

        for (String v : s.split(",")) {
            try {
                add(v.trim());
            } catch (Exception e) {
                log.error("Something went wrong. Reason {}", e.getMessage(), e);
                throw new WebApplicationException(400);
            }
        }
        if (isEmpty())
            throw new WebApplicationException(400);
    }

    public static String valueOf(String s) {
        return s;
    }
}